/***************************************************************************
 *   $Id: main.cpp,v 1.5 2017-12-13 11:16:52 giacomo Exp $
 *                                                                         *
 *   Copyright (C) 2009 by Fabio Asnicar  fabio.asnicar@elettra.trieste.it *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *   In addition, as a special exception, the copyright holders give       *
 *   permission to link the code of this program with any edition of       *
 *   the Qt library by Trolltech AS, Norway (or with modified versions     *
 *   of Qt that use the same license as Qt), and distribute linked         *
 *   combinations including the two.  You must obey the GNU General        *
 *   Public License in all respects for all of the code used other than    *
 *   Qt.  If you modify this file, you may extend this exception to        *
 *   your version of the file, but you are not obligated to do so.  If     *
 *   you do not wish to do so, delete this exception statement from        *
 *   your version.                                                         *
 ***************************************************************************/

#include <TApplication>
#include "mscr.h"
#include <tutil.h>
#include <X11/Xlib.h>
#include <QX11Info>
#include <TSplashScreen>
#include <elettracolors.h>

#define CVSVERSION "$Name:  $"

int main(int argc, char ** argv) {
    const char *cvs_version = CVSVERSION;
    TApplication a(argc, argv);
    a.setPalette(EPalette("fermi"));
    a.setApplicationVersion(cvs_version);
    TUtil::instance()->setLoggingTarget(argv[0]);
    TSplashScreen splash;

    mscr mw;
    if (argc > 1) {
        mw.setWindowTitle(TApplication::instance()->arguments()[1].split('/').last());
    } else {
        mw.setWindowTitle("mscr");
    }
    mw.show();
    splash.finish(&mw);

    /* register to window manager */
    Display *disp = QX11Info::display();
    Window root_win = (Window) mw.winId();
    XSetCommand(disp, root_win, argv, argc);

    return a.exec();
}
